Bug 196601 - Review Request: python-vobject - A python library for manipulating vCard and vCalendar files
Review Request: python-vobject - A python library for manipulating vCard and...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeffrey C. Ollie
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-06-25 15:56 EDT by James Bowes
Modified: 2013-01-10 04:50 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-28 09:37:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description James Bowes 2006-06-25 15:56:41 EDT
Spec URL: http://www.dangerouslyinc.com/~bowes/fe/vobject.spec
SRPM URL: http://www.dangerouslyinc.com/~bowes/fe/vobject-0.3.0-1.src.rpm
Description: VObject is intended to be a full featured python library for parsing and generating vCard and vCalendar files.
Comment 1 Parag AN(पराग) 2006-06-25 23:18:11 EDT
Not an official review as I'm not yet sponsored
Mock build for development i386 is suceesfull with some warnings
+ /usr/bin/python setup.py build
/usr/lib/python2.4/distutils/dist.py:236: UserWarning: Unknown distribution
option: 'zip_safe'
  warnings.warn(msg)
/usr/lib/python2.4/distutils/dist.py:236: UserWarning: Unknown distribution
option: 'install_requires'
  warnings.warn(msg)

MUST Items:
     - MUST: rpmlint shows no error on i386
     - MUST: dist tag is present
     - MUST: The package is named according to the Package Naming Guidelines.
     - MUST: The spec file name matching the base package vobject, in the
format vobject.spec
      - MUST: This package meets the Packaging Guidelines.
      - MUST: The package is licensed with an open-source compatible license
Apache Software License.
      - MUST: The License field in the package vobject.spec file did not match
any file in tarball.
      - MUST: The sources used to build the package matches the upstream source,
as provided in the spec URL. md5sum is correct.
      - MUST: This package owns all directories that it creates. 
      - MUST: This package did not contain any duplicate files in the %files
listing.
      - MUST: This package  have a %clean section, which contains rm -rf
$RPM_BUILD_ROOT.
      - MUST: This package used macros.
      - MUST: Document files are included like README.txt

      * Source URL is present and working.
      * BuildRoot is correct BuildRoot:       
%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
      * BuildRequires is correct

What you Need:-
      * You dont need to have 
Requires:       python-abi = %(%{__python} -c "import sys ; print sys.version[:3]")
       as this is only for rpms targetting for FC3 or prior.
       * Add License file in tarball if you can alter the tarball contents.
Comment 2 Jeffrey C. Ollie 2006-06-26 10:11:04 EDT
The package should probably be named python-vobject as well.
Comment 3 James Bowes 2006-06-26 13:22:02 EDT
Updated locations:
Spec URL: http://www.dangerouslyinc.com/~bowes/fe/python-vobject.spec
SRPM URL: http://www.dangerouslyinc.com/~bowes/fe/python-vobject-0.3.0-1.src.rpm

Thanks for the feedback, guys!

I've:
* Renamed the package to python-vobject
* Removed the python-abi requires
* Removed the unused python-sitearch macro
* Removed some comments left over from the template

I didn't add in the license file, since the released version does not package it
in the tarball. However, the current sources in svn do have a LICENSE file, so
it should be in the next release.
Comment 4 Jeffrey C. Ollie 2006-06-26 23:25:55 EDT
APPROVED, based upon the review by Parag AN and the updated package.  For
furture reference, please bump the release each time you update the package.
Comment 5 James Bowes 2006-06-28 09:37:09 EDT
Thanks for your help, everyone!
Comment 6 James Bowes 2007-05-18 11:29:43 EDT
Package Change Request
======================
Package Name: python-vobject
Updated Fedora Owners: jbowes@redhat.com, dgoodwin@dangerouslyinc.com
Comment 7 Jens Petersen 2007-05-20 08:30:51 EDT
done
Comment 8 Dan Horák 2011-05-24 04:20:13 EDT
Package Change Request
======================
Package Name: python-vobject
New Branches: el6
Owners: sharkcz
Comment 9 Jason Tibbitts 2011-05-24 10:43:04 EDT
Need an ack here from the Fedora owners.
Comment 10 Dan Horák 2011-05-24 10:57:46 EDT
Hm, I got no response on email sent 2 weeks ago ... Let's wait a bit if James shows here.
Comment 11 Jens Petersen 2011-05-31 02:56:32 EDT
Can you please set fedora-cvs flag again when you are ready?
Comment 12 James Bowes 2011-06-06 09:43:06 EDT
ACK. sorry.
Comment 13 Gwyn Ciesla 2011-06-06 11:45:32 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.